/* http://meyerweb.com/eric/tools/css/reset/ 
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}


/*========MY-CSS======*/

/*==Theme color==*/

:root{
    --dark-bg:#000;
    --dark-txt:#fff;
    --dark-a:#fff;
    --dark-hover:#ff9100;
    --dark-cards:#000;
    --dark-button:#fff;
    --dark-button-hover:#ffb300;
    --dark-h:#ffb300;
    --dark-footer:#111111;
    --dark-icon-filter: invert(0);
    --dark-span:#ffb300;
}

.light-mode{
    --dark-bg:#f4f4f4;
    --dark-txt:#000;
    --dark-a:#000;
    --dark-hover: #ffb300;
    --dark-cards:#fff;
    --dark-button:#000;
    --dark-button-hover:#ffb300;
    --dark-h:#003e44;
    --dark-footer:#e3e3e3;
    --dark-icon-filter: invert(1);
    --dark-span:#003e44;
}

body{
    background-color: var(--dark-bg);
    color: var(--dark-txt);  
}

h1 {
    font-family: "Rubik Mono One", monospace;
    font-weight: 400;
    font-style: normal;
}

h2, h3, h4{
  font-family: "Boldonse", system-ui;
  font-weight: 400;
  font-style: normal;
  line-height: 1.9rem;
}

h2{
    font-size: clamp(1.4rem, 2.1vw, 2.3rem);
}

h3{
    font-size: 1.2rem;
}

p, a{
    font-family: "Teko", sans-serif;
    font-optical-sizing: auto;
    font-style: normal;
}

p{
    font-size: clamp(1.3rem, 2vw, 2.3rem);
    line-height: 1.7rem;
}

a{
    text-decoration: none;
    color: var(--dark-a);
    font-size: clamp(1rem, 1.5vw, 2rem);
}

a:hover{
    color: var(--dark-hover);
    transition: 0.4s;
}

a:focus{
    border: solid 1px #cb7000;
}

/*===button style====*/

button{
    outline: none;
    cursor: pointer;
    border: none;
    padding: 0.3rem 1rem;
    margin: 0;
    position: relative;
    display: block;
    margin: auto;
    letter-spacing: 0.05rem;
    font-weight: 700;
    font-size: 1.1rem;
    border-radius: 9999px;
    overflow: hidden;
    background: #fff;
    color: #000;
}

button:hover{
    background-color: var(--dark-button-hover);
    transition: 0.5s;
}

/*====TOP Button====*/

.top img{
    position: fixed;
    bottom: 2%;
    right: 2%;
    width: 40px;
    height: auto;
}

/*======NAVIGATION======*/

header{
    height: 100vh;
    overflow: hidden;
}

.navigation{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 10px;
    margin: 10px 0;
}

.navigation p{
    font-size: 1.9rem;
    color: #ff9100;
}

.navigation ul{
    display: flex;
    justify-content: space-between;
    gap: 10px;
    flex-wrap: wrap;
}

.navigation button{
    margin: 0%;
}

/*======LANDING-PAGE======*/

.landing-page{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.intro h1{
    font-size: clamp(2.7rem, 4vw, 6rem);
    text-transform: uppercase;
    padding-left: 10px;
    padding-right: 10px;
}

.intro h1 span{
    color: #ffb300;
    text-align: center;
}

.intro h2{
    text-align: center;
    padding-top: 10px;
}

.hero-image img{
    display: block;
    margin: auto;
    width: 60%;
    height: auto;
}

/*======ABOUT-ME======*/

.about{
    display: flex;
    flex-direction: column;
    margin: 60px 8%;
}

.about h2{
    margin-bottom: 10%;
    margin-top: 30px;
    color: var(--dark-h);
}

.about p{
    margin-bottom: 30px;
}

button{
    display: block;
    margin: auto;
    margin-bottom: 30px;
}

/*======TOOLS======*/

.tool{
    position: relative;
}

.tool h2{
   margin: 10% 0;
   color: var(--dark-h);
}

.icons{
   display: flex;
   justify-content: center;
   align-items: center;
   flex-wrap: wrap;
   gap: 20px;
}

.icons img{
   width: 60px;
   height: auto;
   filter: var(--dark-icon-filter);  
}

/*=======Service======*/

.serve{
    position: relative;
    margin: 20px 8%;
}

.serve h2{
    margin-top: 90px;
    margin-bottom: 10%;
    color: var(--dark-h);
}

.services{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

/*==CARDS Style==*/

.cards{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 300px;
    height: auto;
    background-color: var(--dark-cards);
    padding: 30px;
    background: rgba(255, 255, 255, 0.05);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(3.4px);
    -webkit-backdrop-filter: blur(3.4px);
    border: 1px solid rgba(255, 255, 255, 0.05);
}

.cards h3{
    color: var(--dark-h);
    text-align: center;
    margin-bottom: 20px;
    font-size: 1.1rem;
}

.cards p{
    border-top: solid 1px #ffb300;
    padding-top: 10px;
}

/*=======EDUCATION======*/

.education{
    margin: 20px 8%;
}

.education h2{
    margin-top: 90px;
    margin-bottom: 10%;
}

.school{
    display: flex;
    flex-wrap: wrap;
}

.certificate{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    gap: 10px;
    margin-bottom: 20px;
    border-left: solid 1px #ffb300;
    max-width: 340px;
}

.certificate p{
    padding: 5px;
}

.certificate span{
    color: var(--dark-span);
}

.school-logo img{
    width: 90px;
    height: auto;
    padding-left: 5px;
}

.dates h3{
    font-size: clamp(1rem, 1.3vw, 1.5rem);
}

/*======UNI PROJECTS======*/

#uni-work{
    margin: 20px 8%;
}

#uni-work h2{
    margin-top: 90px;
    margin-bottom: 30px;
    color: var(--dark-h);
}

.uni-project {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
    gap: 10%;
    margin-bottom: 30px;
    border-left: solid 1px #ffb300;
}

.uni-project img{
    display: block;
    margin: 30px;
}

.uni-project ol {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 25px;
    width: 100%;
    margin: 50px;
    list-style: decimal;
    font-size: clamp(1.3rem, 2vw, 2.3rem);
}

.uni-project ol li {
    margin: 10px;
    background-color: var(--dark-hover);
    text-align: center;
    padding: 8px;
    border-radius: 20px;
}

.uni-project ol a li{
    font-size: clamp(1.3rem, 2vw, 2.3rem);
}

.uni-project ol a li:hover{
    color: #000;
}

.uni-project ol a:hover ol li{
    color: none;
}

/*======PROJECTS======*/

.project{
    margin: 0 8%;
}

.project h2{
    margin-top: 90px;
    margin-bottom: 5%;
}

.sites{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.gallery{
    margin-top: 30px;
    border-radius: 10px 0px 17px 0px;
    border-bottom: solid 1px #ffb300;
    border-top: solid 1px #ffb300;
    padding: 10px;
    max-width: 730px;
}

.gallery h3{
    padding-top: 20px;
}

.mockup img{
    display: block;
    margin: auto;
    padding: 20px 0;
}

.details details{
    margin: 10px 0;
}

.details details summary{
    font-family: "Teko", sans-serif;
    font-size: 1.2rem;
    cursor: pointer;
}

.details details > p{
    padding: 10px 0;
    font-size: 1rem;
}

.view-site{
    margin: 20px 0;
}

/*======GRAPHIC======*/

.container{
    padding-left: 10%;
    padding-right: 10%;
}

.container h2 {
    text-align: center;
    margin: 10% 0;
}

.photo-gallery img {
    width: 100%;
    margin-bottom: 10px;
    border-radius: 20px;
}
 
.photo-gallery{
    columns: 260px;
    gap: 10px;
}

/*======BLOGS======*/

.blogs {
    position: relative;
}

.blogs h2 {
    text-align: center;
    margin-top: 10%;
    margin-bottom: 40px;
}

.articles {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.post {
    background: rgba(255, 255, 255, 0.05);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(3.4px);
    -webkit-backdrop-filter: blur(3.4px);
    border: 1px solid rgba(255, 255, 255, 0.05);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    padding: 30px;
    margin-bottom: 30px;
    margin-left: 30px;
    margin-right: 30px;
    max-width: 400px;
}

.post h3 {
    font-size: 1.4rem;
    text-align: center;
    padding-bottom: 20px;
}

.post button {
    outline: none;
    cursor: pointer;
    border: none;
    padding: 0.9rem 2rem;
    margin: 0;
    position: relative;
    display: inline-block;
    letter-spacing: 0.05rem;
    font-weight: 700;
    font-size: 1.1rem;
    border-radius: 9999px;
    overflow: hidden;
    background: #ffb300;
    color: #000;
}

.post button span {
    position: relative;
    z-index: 10;
    transition: color 0.4s;
}

.post button:hover span {
    color: black;
}

.post button::before,
.post button::after {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.post button::before {
    content: "";
    background: #fff;
    width: 120%;
    left: -10%;
    transform: skew(30deg);
    transition: transform 0.4s cubic-bezier(0.3, 1, 0.8, 1);
}

.post button:hover::before {
    transform: translate3d(100%, 0, 0);
}

/*======CONTACT-ME======*/

.contact{
    background-color: #cb7000;
    color: #000;
    -webkit-box-shadow: inset 43px -44px 83px 13px rgba(0,0,0,0.33);
    -moz-box-shadow: inset 43px -44px 83px 13px rgba(0,0,0,0.33);
    box-shadow: inset 43px -44px 83px 13px rgba(0,0,0,0.33);
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin: 10% 0;
}

.contact-info{
    max-width: 600px;
}

.contact h3{
    padding-bottom: 20px;
    color: #070707;
}

.contact ul{
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 30px;
    margin: 10px 0;
}

.contact ul li a{
    font-size: 1.7rem;
}

/*======FOOTER======*/

footer{
    border-radius: 47px 47px 0px 0px;
    border-top: solid 1px #ffb300;
    background-color: var(--dark-footer);
}

.footer-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 15px;
}

.link{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.page-info{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

footer p{
    text-align: center;
    font-size: 0.8rem;
    padding-top: 20px;
    color: #ff9100;
}

/*======ACCESSIBILITY======*/

.accessibility{
    margin: 40px 40px;
    padding: 70px;
}

.accessibility h1{
    font-size: 1.6rem;
    margin-bottom: 40px;
    text-align: center;
}

.accessibility p{
    max-width: 960px;
}

/*========================RESPONSIVE===============================*/

/*====Mobile responsiveness for uni-project====*/

@media (max-width: 675px) {
    .uni-project ol {
        grid-template-columns: 1fr;
    }
    
    .uni-project {
        flex-direction: column;
        align-items: flex-start;
        gap: 15px;
    }
}

@media (min-width: 676px) and (max-width: 1024px) {
    .uni-project ol {
        grid-template-columns: repeat(2, 1fr);
    }
}

/*====675px====*/

@media (min-width:675px){

    /*======navigation======*/

    .navigation{
        flex-direction: row;
        justify-content: space-between;
        margin: 20px 30px;
    }

    .navigation ul{
        gap: 30px;
    }

    /*======landing-page=======*/

    .intro h1{
        margin-top: 30px;
    }

    /*======Projects======*/

    .layout{
        display: flex;
        flex-direction: row;
        gap: 30px;
        align-items: center;
        position: relative;
    }

    .layout button{
        position: absolute;
        bottom: 0%;
        right: 0%;
    }

    .details details > p{
        font-size: 1.2rem;
    }

    .photo-gallery{
        columns: 300px;
    }
}

/*====886px====*/

@media (min-width:886px) {

    .cards{
        width: 360px;
        height: 203px;
    }

    .footer-content{
        flex-direction: row;
        align-items: center;
        gap: 70px;
        margin: 60px 0;
    }

    .footer-content p{
        font-size: 3rem;
        padding: 0%;
    }
}

/*=====1220px====*/

@media (min-width:1220px) {
    
    p{
        line-height: 2.9rem;
    }

    /*======Landing-page======*/

    .landing-page{
        align-items: center;
        gap: 90px;
    }

    .hero-image img{
        height: 40vw;
        width: auto;
    }

    /*======ABOUT======*/

    .about{
        flex-direction: row;
        align-items:flex-start;
        gap: 80px;
    }
    .me{
        width: 50vw;
    }
    .tools{
        width: 50vw;
    }

    .icons img{
        width: 100px;
    }

    /*======Details======*/
    
    .school{
        columns: 300px;
    }

    .certificate{
        margin-right: 60px;
        margin-bottom: 20px;
    }
}